### Generate population data ######################################################################

  ids.population <- 1:n.population
  
  from <- numeric(0)
  to <- numeric(0)
  id <- numeric(0)
  
  for(i in ids.population) {
    
    n.step <- 1
    tmp <- sample(1:2,size=1)
    
    # This leads to a maximum of 10 transitions
    while(n.step<11) {
      
      n.step <- n.step+1
      if(tmp[n.step-1]==1) tmp[n.step] <- sample(1:3,1,prob=c(0.75,0.24,0.01))
      if(tmp[n.step-1]==2) tmp[n.step] <-sample(1:3,1,prob=c(0.1,0.8,0.1))
      if(tmp[n.step]==3) break
      if(runif(1)<p.censoring) break
      
    }
    
    from <- c(from,tmp[1:(n.step-1)])
    to <- c(to,tmp[2:n.step])
    id <- c(id,rep(i,n.step-1))
    
  }
  
  # Generate data frame
  population <- data.frame(id=id,from=from,to=to)
  
  

### END OF FILE ###################################################################################  